All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.storedprocess
Class PermanentPackageResultHints

    com.sas.services.storedprocess.PermanentPackageResultHints

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Deprecated.

    public final class PermanentPackageResultHints

This ResultHints sub-class specfies hints for the RESULT_TYPE_PERMANENT_FILE_PACKAGE result type.

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.storedprocess.ResultHints
`HINT_SUBTYPE_NA, HINT_SUBTYPE_SET, HINT_SUBTYPE_WEBDAV_DAVSERVER, HINT_SUBTYPE_WEBDAV_URL, HINT_SUBTYPE_WEBDAV_USER_PR`

Method Summary
`java.lang.String` | `getArchiveName()` Deprecated. Gets the instance name of the archive.
`java.lang.String` | `getArchivePath()` Deprecated. Gets the repository name of the archive.
`void` | `setArchiveName(java.lang.String archiveName)` Deprecated. Sets the instance name of the archive.
`void` | `setArchivePath(java.lang.String archivePath)` Deprecated. Sets the repository name of the archive.

Methods inherited from class com.sas.services.storedprocess.ResultHints
`clone, getResultLocation, isLifecycleBound, isNewInstanceCreated, setLifecycleBound, setNewInstanceCreated`

Method Detail

### setArchiveName

    public void setArchiveName(java.lang.String archiveName)

  Deprecated.
  Sets the instance name of the archive.

  Parameters:
    `archiveName` - the name of the archive instance.

### getArchiveName

    public java.lang.String getArchiveName()

  Deprecated.
  Gets the instance name of the archive.

  Returns:
    archiveName the name of the archive instance.

### setArchivePath

    public void setArchivePath(java.lang.String archivePath)

  Deprecated.
  Sets the repository name of the archive.

  Parameters:
    `archivePath` - the name of the repository to contain the archive.

### getArchivePath

    public java.lang.String getArchivePath()

  Deprecated.
  Gets the repository name of the archive.

  Returns:
    the name of the repository to contain the archive.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.